<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Model;

use App\Traits\NextKey;

class Module extends Model
{
	use NextKey;

	const RECORD_ID = 'module';

	protected $table = 'ab_module';
	public $incrementing = FALSE;
	public $timestamps = FALSE;

	public function record()
	{
		return $this->hasOne(Record::class);
	}
}